Bug 1123471 - [RFE] Consolidate shared settings into /etc/pulp/pulp.conf
Summary: [RFE] Consolidate shared settings into /etc/pulp/pulp.conf
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: Master
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 19:09 UTC by Randy Barlow
Modified: 2015-02-28 23:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:18:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 242 None None None Never

Description Randy Barlow 2014-07-25 19:09:00 UTC
Currently there are a handful of settings that are common across several different config files. Here are a few examples I know of:

* log level
* verify_ssl
* ca_path

These settings currently have to be altered in many places if users wish to change them, which could be painful especially if the user forgot one. For example, there are 3-5 places where verify_ssl has to be set to False for evaluation of Pulp. If we had a pulp.conf, these common settings could be moved there and there would only be one place that users would need to adjust them.

This is solidly in the "would be nice" category, so I marked it low severity.

Comment 1 Brian Bouterse 2015-02-19 01:18:40 UTC
Moved to https://pulp.plan.io/issues/242


Note You need to log in before you can comment on or make changes to this bug.